Name:          phodav
Version:       3.0
Release:       1mamba
Summary:       A WebDav server implementation using libsoup (RFC 4918).
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/
Source:        https://download.gnome.org/sources/phodav/%{version}/phodav-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libavahi-glib-devel
BuildRequires: libglib-devel
BuildRequires: libsoup-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
phởdav is a WebDav server implementation using libsoup (RFC 4918).

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson \
   -Dgtk_doc=enabled

#% configure \
#   --enable-gtk-doc \
#   --with-systemdsystemunitdir=%{_unitdir} \
#   --with-udevdir=`pkg-config udev --variable=udevdir`

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%post
/sbin/ldconfig
%systemd_post spice-webdavd
:

%preun
%systemd_preun spice-webdavd
:

%postun
/sbin/ldconfig
%systemd_postun spice-webdavd
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/chezdav
%{_sbindir}/spice-webdavd
%{_unitdir}/spice-webdavd.service
#%{_unitdir}/spice-webdavd.target
%{_udevrulesdir}/70-spice-webdavd.rules
%{_mandir}/man1/chezdav.1*
%doc COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libphodav-*.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/libphodav-*
%dir %{_includedir}/libphodav-*/libphodav
%{_includedir}/libphodav-*/libphodav/*.h
%{_libdir}/libphodav-*.so
%{_libdir}/pkgconfig/libphodav-*.pc
#%doc NEWS README TODO

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/phodav-*
%{_datadir}/gtk-doc/html/phodav-*/*

%changelog
* Tue Jul 05 2022 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Sun Oct 25 2020 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Sun Nov 10 2019 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic version update by autodist

* Sat Jan 13 2018 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic version update by autodist

* Tue Nov 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-2mamba
- fix udev directory

* Mon Oct 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-1mamba
- package created using the webbuild interface
